MWProParserInternal::TextZoneData Struct Reference

Internal: a struct used to store a text zone. More...

## Public Member Functions

| TextZoneData ()

## Public Attributes

int | m_type
| the type More...
int | m_length
| the text length More...
int | m_id
| an id More...

## Friends

std::ostream & | operator<< (std::ostream &o, TextZoneData const &tData)

## Detailed Description

Internal: a struct used to store a text zone.

## Constructor & Destructor Documentation

MWProParserInternal::TextZoneData::TextZoneData | ( |  | ) |

inline

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | TextZoneData const & | tData
| ) |  |

friend

## Member Data Documentation

int MWProParserInternal::TextZoneData::m_id

an id

Referenced by MWProParser::readTextIds().

int MWProParserInternal::TextZoneData::m_length

the text length

Referenced by MWProParser::readTextIds().

int MWProParserInternal::TextZoneData::m_type

the type

Referenced by MWProParser::readTextIds().

The documentation for this struct was generated from the following file:

- MWProParser.cxx